## org.w3c.dom.svg
Interface SVGPathSegArcRel

All Superinterfaces:
  SVGPathSeg

All Known Implementing Classes:
  AbstractSVGPathSegList.SVGPathSegArcItem

public interface SVGPathSegArcRel
extends SVGPathSeg

Field Summary

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg

`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Method Summary
`float` `getAngle()`
`boolean` `getLargeArcFlag()`
`float` `getR1()`
`float` `getR2()`
`boolean` `getSweepFlag()`
`float` `getX()`
`float` `getY()`
`void` `setAngle(float angle)`
`void` `setLargeArcFlag(boolean largeArcFlag)`
`void` `setR1(float r1)`
`void` `setR2(float r2)`
`void` `setSweepFlag(boolean sweepFlag)`
`void` `setX(float x)`
`void` `setY(float y)`

Methods inherited from interface org.w3c.dom.svg.SVGPathSeg
`getPathSegType, getPathSegTypeAsLetter`

Method Detail

### getX

    public float getX()

### setX

    public void setX(float x)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getY

    public float getY()

### setY

    public void setY(float y)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getR1

    public float getR1()

### setR1

    public void setR1(float r1)
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getR2

    public float getR2()

### setR2

    public void setR2(float r2)
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getAngle

    public float getAngle()

### setAngle

    public void setAngle(float angle)
                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getLargeArcFlag

    public boolean getLargeArcFlag()

### setLargeArcFlag

    public void setLargeArcFlag(boolean largeArcFlag)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getSweepFlag

    public boolean getSweepFlag()

### setSweepFlag

    public void setSweepFlag(boolean sweepFlag)
                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.